{%- from "keycloak/map.jinja" import server with context %}

{%- if server.get("enabled", False) %}
{%- if server.realm is defined %}

keycloak_realms:
  file.managed:
    - name: {{ server.dir }}/server/realms.json
    - source: salt://keycloak/files/server/realms.json
    - template: jinja
    - user: root
    - mode: 0644
    - defaults:
        realms: {{ server.realm }}
    - require:
      - file: keycloak_server_dir

{%- endif %}
{%- endif %}
